Swap MediaAsk AIput https://api.wistia.com/modern/medias/{mediaHashedId}/swapSwap one media with another media. This operation queues a background job to replace the original media with the replacement media while preserving the original media's hashed ID and URLs. Requires api token with one of the following permissions Read, update & delete anythingPath ParamsmediaHashedIdstringrequiredThe hashed ID of the media to be replaced.Body Paramsreplacement_media_idstringrequiredThe hashed ID of the media that will replace the original media. Must be the same media type as the original.HeadersX-Wistia-API-VersionstringrequiredDefaults to 2026-03Responses 200Successfully queued background job for media swap. 400Bad request, e.g. missing replacement_media_id or media type mismatch. 401Unauthorized, invalid or missing token 403Forbidden, token is valid but account does not have access to feature 404Resource not found 500Internal server errorUpdated about 1 month ago